Issue #15470 has been updated by mame (Yusuke Endoh).

Status changed from Open to Rejected

So, we can close this ticket, right?  Let me know if you still have any trouble.

----------------------------------------
Bug #15470: Getting Jemalloc to work with 2.6.0
https://bugs.ruby-lang.org/issues/15470#change-75932

* Author: kaspergrubbe (Kasper Grubbe)
* Status: Rejected
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.6.0p0 (2018-12-25 revision 66547) [x86_64-linux]
* Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6: UNKNOWN
----------------------------------------
I have a install script that installs all build requirements for Ruby together with libjemalloc, it then configures Ruby with the --with-jemalloc flag, they were all run on Debian 9 which installs jemalloc 3.6.0 from the Debian repositories.

When I run my script with Ruby 2.5, I get the following output from irb:

~~~ ruby
puts RbConfig::CONFIG['LIBS']
# -lpthread -ljemalloc -ldl -lcrypt -lm
~~~

However, if I build Ruby 2.6 in the exact same way, I do not see -ljemalloc flag:

~~~ ruby
puts RbConfig::CONFIG['LIBS']
# -lm
~~~

I've attached the output from the configure and make steps to this.

Did something change? Or do I need to change the way I do jemalloc detection with Ruby 2.6?



---Files--------------------------------
2-6.log (71.1 KB)
2-5.log (62.8 KB)
rubyinstall.sh (1.97 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>